Subject: [bug#39904] Update of python-anndata

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 06 Mar 2020 23:00:55 +0100

Hi Roel,

> I'd like to update our package for python-anndata.  For this I needed to add a
> few more packages that are used in the test suite of python-anndata.

I’m sorry I missed this patch series.  I noticed that scanpy failed to
build, so I worked on upgrading it together with anndata.  I must have
started the work right before your patches came in.

> I attached the patches.  Note that for python-zarr I disabled the tests because
> the majority of the tests need external packages.  We could add all dependencies
> to make the test suite work, but that requires a significant amount of work (for
> example, the Azure SDK for Python is one of the external dependencies).

These tests that use external services (such as Azure Storage Blob,
Redis, etc) can be disabled with environment variables, which is what I
did in my version of the package definition.

--
Ricardo